# EmailSmsStatsApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getEmailSmsSentCount**](EmailSmsStatsApi.md#getEmailSmsSentCount) | **GET** /getEmailSmsSentCount | Email / SMS sent
[**getEmailSmsSentLimit**](EmailSmsStatsApi.md#getEmailSmsSentLimit) | **GET** /getEmailSmsSentLimit | Email / SMS Limit


<a name="getEmailSmsSentCount"></a>
# **getEmailSmsSentCount**
> List&lt;EmailSmsSentCount&gt; getEmailSmsSentCount(username)

Email / SMS sent

Email / SMS sent

### Example
```java
// Import classes:
//import io.swagger.client.ApiClient;
//import io.swagger.client.ApiException;
//import io.swagger.client.Configuration;
//import io.swagger.client.auth.*;
//import io.swagger.client.api.EmailSmsStatsApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure API key authorization: api_key
ApiKeyAuth api_key = (ApiKeyAuth) defaultClient.getAuthentication("api_key");
api_key.setApiKey("YOUR API KEY");
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//api_key.setApiKeyPrefix("Token");

EmailSmsStatsApi apiInstance = new EmailSmsStatsApi();
String username = "username_example"; // String | User Name or Email address
try {
    List<EmailSmsSentCount> result = apiInstance.getEmailSmsSentCount(username);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling EmailSmsStatsApi#getEmailSmsSentCount");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**| User Name or Email address |

### Return type

[**List&lt;EmailSmsSentCount&gt;**](EmailSmsSentCount.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

<a name="getEmailSmsSentLimit"></a>
# **getEmailSmsSentLimit**
> List&lt;EmailSmsSentLimit&gt; getEmailSmsSentLimit(username)

Email / SMS Limit

Email / SMS Limit

### Example
```java
// Import classes:
//import io.swagger.client.ApiClient;
//import io.swagger.client.ApiException;
//import io.swagger.client.Configuration;
//import io.swagger.client.auth.*;
//import io.swagger.client.api.EmailSmsStatsApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure API key authorization: api_key
ApiKeyAuth api_key = (ApiKeyAuth) defaultClient.getAuthentication("api_key");
api_key.setApiKey("YOUR API KEY");
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//api_key.setApiKeyPrefix("Token");

EmailSmsStatsApi apiInstance = new EmailSmsStatsApi();
String username = "username_example"; // String | User Name or Email address
try {
    List<EmailSmsSentLimit> result = apiInstance.getEmailSmsSentLimit(username);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling EmailSmsStatsApi#getEmailSmsSentLimit");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**| User Name or Email address |

### Return type

[**List&lt;EmailSmsSentLimit&gt;**](EmailSmsSentLimit.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

